function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useState } from 'react';
import CheckboxGroup from './CheckboxGroup';
import Checkbox from './Checkbox';
var meta = {
  title: 'Example/CheckboxGroup',
  component: CheckboxGroup,
  parameters: {
    docs: {
      description: {
        component: 'A component for managing a group of related checkboxes.'
      }
    }
  }
};
export default meta;
export var Default = {
  render: args => {
    var [selectedValues, setSelectedValues] = useState(['option1']);
    return /*#__PURE__*/React.createElement(CheckboxGroup, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A basic checkbox group with three options, one selected by default.'
      }
    }
  }
};
export var Disabled = {
  render: args => {
    var [selectedValues, setSelectedValues] = useState(['option1']);
    return /*#__PURE__*/React.createElement(CheckboxGroup, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues,
      disabled: true
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A disabled checkbox group where all checkboxes are non-interactive.'
      }
    }
  }
};
export var Unwrapped = {
  render: args => {
    var [selectedValues, setSelectedValues] = useState(['option1']);
    return /*#__PURE__*/React.createElement(CheckboxGroup, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues,
      unwrap: true
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A checkbox group with unwrapped checkboxes (no container div).'
      }
    }
  }
};
export var ManyOptions = {
  render: args => {
    var [selectedValues, setSelectedValues] = useState(['option1']);
    return /*#__PURE__*/React.createElement(CheckboxGroup, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox4",
      value: "option4",
      label: "Option 4"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox5",
      value: "option5",
      label: "Option 5"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox6",
      value: "option6",
      label: "Option 6"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A checkbox group with many options to demonstrate scalability.'
      }
    }
  }
};
export var MixedCheckboxes = {
  render: args => {
    var [selectedValues, setSelectedValues] = useState(['option1']);
    return /*#__PURE__*/React.createElement(CheckboxGroup, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox1",
      value: "option1",
      label: "Regular checkbox"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox2",
      value: "option2",
      label: "Custom size checkbox",
      size: 20
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox3",
      value: "option3",
      label: "Custom spacing",
      spacing: 6
    }), /*#__PURE__*/React.createElement(Checkbox, {
      name: "checkbox4",
      value: "option4",
      invalid: true,
      label: "Invalid checkbox"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A checkbox group with different types of checkboxes to show compatibility.'
      }
    }
  }
};