"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Unwrapped = exports.MixedCheckboxes = exports.ManyOptions = exports.Disabled = exports.Default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _CheckboxGroup = _interopRequireDefault(require("./CheckboxGroup"));

var _Checkbox = _interopRequireDefault(require("./Checkbox"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var meta = {
  title: 'Example/CheckboxGroup',
  component: _CheckboxGroup.default,
  parameters: {
    docs: {
      description: {
        component: 'A component for managing a group of related checkboxes.'
      }
    }
  }
};
var _default = meta;
exports.default = _default;
var Default = {
  render: function render(args) {
    var _useState = (0, _react.useState)(['option1']),
        _useState2 = _slicedToArray(_useState, 2),
        selectedValues = _useState2[0],
        setSelectedValues = _useState2[1];

    return /*#__PURE__*/_react.default.createElement(_CheckboxGroup.default, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A basic checkbox group with three options, one selected by default.'
      }
    }
  }
};
exports.Default = Default;
var Disabled = {
  render: function render(args) {
    var _useState3 = (0, _react.useState)(['option1']),
        _useState4 = _slicedToArray(_useState3, 2),
        selectedValues = _useState4[0],
        setSelectedValues = _useState4[1];

    return /*#__PURE__*/_react.default.createElement(_CheckboxGroup.default, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues,
      disabled: true
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A disabled checkbox group where all checkboxes are non-interactive.'
      }
    }
  }
};
exports.Disabled = Disabled;
var Unwrapped = {
  render: function render(args) {
    var _useState5 = (0, _react.useState)(['option1']),
        _useState6 = _slicedToArray(_useState5, 2),
        selectedValues = _useState6[0],
        setSelectedValues = _useState6[1];

    return /*#__PURE__*/_react.default.createElement(_CheckboxGroup.default, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues,
      unwrap: true
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A checkbox group with unwrapped checkboxes (no container div).'
      }
    }
  }
};
exports.Unwrapped = Unwrapped;
var ManyOptions = {
  render: function render(args) {
    var _useState7 = (0, _react.useState)(['option1']),
        _useState8 = _slicedToArray(_useState7, 2),
        selectedValues = _useState8[0],
        setSelectedValues = _useState8[1];

    return /*#__PURE__*/_react.default.createElement(_CheckboxGroup.default, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox1",
      value: "option1",
      label: "Option 1"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox2",
      value: "option2",
      label: "Option 2"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox3",
      value: "option3",
      label: "Option 3"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox4",
      value: "option4",
      label: "Option 4"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox5",
      value: "option5",
      label: "Option 5"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox6",
      value: "option6",
      label: "Option 6"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A checkbox group with many options to demonstrate scalability.'
      }
    }
  }
};
exports.ManyOptions = ManyOptions;
var MixedCheckboxes = {
  render: function render(args) {
    var _useState9 = (0, _react.useState)(['option1']),
        _useState10 = _slicedToArray(_useState9, 2),
        selectedValues = _useState10[0],
        setSelectedValues = _useState10[1];

    return /*#__PURE__*/_react.default.createElement(_CheckboxGroup.default, _extends({}, args, {
      values: selectedValues,
      onChange: setSelectedValues
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox1",
      value: "option1",
      label: "Regular checkbox"
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox2",
      value: "option2",
      label: "Custom size checkbox",
      size: 20
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox3",
      value: "option3",
      label: "Custom spacing",
      spacing: 6
    }), /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      name: "checkbox4",
      value: "option4",
      invalid: true,
      label: "Invalid checkbox"
    }));
  },
  parameters: {
    docs: {
      description: {
        story: 'A checkbox group with different types of checkboxes to show compatibility.'
      }
    }
  }
};
exports.MixedCheckboxes = MixedCheckboxes;